Introduction

SoundJudgment is made up of 2 separate programs:

SoundJudgment - The main program

Searches for music files and file swapping applications over the network. The program can run in 2 modes:

In Display (Interactive) mode, an administrator runs SoundJudgment on demand, searching the file servers and drives that are shared across the network. The search results appear in real time in SoundJudgment’s log results window SoundJudgment is installed on a central workstation, usually the administrator’s PC.

In Stealth (Unattended) mode, SoundJudgment runs invisibly on a user PC, searching local drives. It does not appear on the screen, in the system tray or in the "close program" dialog box - making it completely transparent to the end user. SoundJudgment is initiated when the user logs in to the network through a command inserted into the logon script. Since the program runs invisibly, results cannot be seen so they are stored for later viewing or sent by e-mail to a pre-defined address, such as SoundJudgment’ administrator’s email. In Stealth mode, SoundJudgment is installed on a file server where users have read access.

To start SoundJudgment, click this button:

SJConfig - The configuration utility

The SJConfig prepares configuration files that are used by SoundJudgment in Stealth (unattended) mode. You can create different configuration files for different groups of users.
SJConfig is a separate program from SoundJudgment that you may access from within SoundJudgment (via menu command), or directly (by clicking on the SJConfig icon).

NOTE: The SJConfig program is used exclusively for Stealth mode configurations. Display mode searches are configured within SoundJudgment; there is no separate configuration program for Display mode. In the Help File, see the configuration section of Display mode or Stealth mode for more information on preparing searches in each mode.

To start SJConfig, click this button:


introduction-Operational Highlights

Operational highlights

SoundJudgment can run in display mode or in stealth mode. When running in stealth (unattended) mode, SoundJudgment does not appear on the screen, in the system tray or in the "close program" dialog box -- making it completely transparent to the end user.

Unlike traditional search tools, SoundJudgment's SmartSearch works independently of file names. The program looks for unique signatures -- much like matching a fingerprint -- then reports on and optionally removes the music files and the file swapping applications. The search can span the entire network, including servers and individual workstations.


introduction-System Requirements

System requirements

SoundJudgment operates with Windows 95/98/ME, Windows NT/2000 and Windows XP. All major PC networks are supported, including Novell and Windows NT.
Internet Explorer v4.0 or up is required for viewing the help file.


Implementation techniques

SoundJudgment can be implemented in several ways:

Running SoundJudgment from a central workstation

SoundJudgment is operated from one workstation. In this mode, the system administrator can run it in two ways:

  • Launching the graphic user interface and searching the network or local drives.
  • Using a scheduling program (for example, the Windows NT/2000/XP "at" command) to run SoundJudgment in stealth mode (e.g. every night) and scan all the users' local drives and the network drives.

We recommend using the scheduling program to scan file servers on a regular basis.
You can also use the Network crawl to scan all the drives in all the workstations on the network.
Note: To search users’ local drives, the central workstation must have access to (share) these drives

Running SoundJudgment from the users workstations

Install SoundJudgment in a folder on the file server where all the users have "read" access.
Insert the SoundJudgment command in stealth mode as part of the users’ logon procedure and scan the local drive(s) for items. The scan results will be saved in a log file and/or sent to the administrator by e-mail.

For more information, please read the help topics: stealth mode, SoundJudgment command lineand Configuration utility

Recommendations:

  1. Install SoundJudgment in a folder where the users have "read only" access to prevent them from manipulating the SoundJudgment files.
  2. If you use a report file, assign "create" and "write" rights to the report files folder. With only "create" and "write" status, users cannot delete, rename or move the log file(s) created by SoundJudgment. In Novell networks, set the folder to IRF.
  3. Use the configuration utility to select the log file name or the e-mail from address as the users' name to distinguish between log records of different users.
  4. Use the configuration utility to select search all the local drives. SoundJudgment will automatically detect which drives are available on the workstation and scan them.
  5. Be sure that all drive references in the configuration file are common to all workstations. This applies to the report files folder, search path(s)and the exclusions.


Before running SoundJudgment

Before you run SoundJudgment, it is strongly recommended that you backup your data. Although the SmartSearch recognition process is extremely accurate, there is always a remote chance that a wrong file will be deleted.


Quick start

In 5 minutes or less, set up SoundJudgment to search all user workstations during logon.
The program will scan all local user drives and create a log of report files by username.

Follow the three steps below:

First step - Installation

  1. Install the software in a folder on the file server. Example: \\server\SoundJudgment.
  2. Flag the folder as "read only".
  3. Create a new folder for the log files. Example: \\server\SoundJudgment\logs.
  4. Set the rights to the log files directory as "create" and "write" (In Novell: flag it as IRF).

Second step - Create a configuration file

  1. Start the SJConfig program.
  2. In the Report file tab enter the log file folder’s name (\\server\SoundJudgment\logs) in the Report files folder edit box.
  3. In the Log file name select: As the user's name.
  4. Save the configuration file in the \\server\SoundJudgment directory. Example: \\server\SoundJudgment\SoundJudgment.cfg.

Third step - Search all drives on all workstations during logon

Insert the following command line into the users' logon script:
\\server\SoundJudgment\SoundJudgment @SoundJudgment.cfg

For more information on logon scripts, please refer to your Novell or Windows NT network manual.
Please see Implementation techniques for additional ways to set up SoundJudgment.


Display mode

In Display (interactive) mode, an administrator runs SoundJudgment on demand, searching the file servers and drives that are shared across the network. The search results appear in real time in SoundJudgment’s log results window. SoundJudgment is installed on a central workstation, usually the administrator’s PC.

To start SoundJudgment in Display mode, click the SoundJudgment icon that appears after installing the program. The Main window is shown. As it loads, SoundJudgment performs a self-check of its program files to verify their integrity.

The Main window contains all of the features you need to control SoundJudgment during Display mode.


Main window

The main SoundJudgment window appears when you start SoundJudgment. See Menu Commands for all available Menu options.
Please click on a topic to see additional information.

Search Clean Delete Stop Config Menu Report area Log area Search information Exit


Log

Log area

The log area contains the item information of each item that was found during the search and a summary of the entire search. The item data is scrollable. It is possible to save the log to a file using the File/Save Log File menu command. If the log is not saved, you will be prompted when you exit SoundJudgment.

You can also print the log using the File/Print log menu command.

When SoundJudgment is activated in Stealth Mode, the log file is automatically saved to the path/name specified in the report tab of the configuration file.


Report area

The Report area on the main SoundJudgment screen contains a summary of the search results.

During the search, the Report area displays the Search status.
When an item is found, the Report area displays the Item information.
When the search ends, the Report area displays the Final results.

The Report area can be cleared using the Clear screen command.


Search status

During the search, the following information is displayed in the Report area:

Items found | The number of items found.
Items deleted | The number of items deleted.
Files deleted | The number of files deleted.
Bytes deleted | Total size of the files deleted in bytes.
Search path | The search path(s)


Item information

When a music or video file is found, the following information is displayed:

Item found | The name of the music or video file.
Description | A short description. Usually the title and the artist.
Detected as | The type of the file.
File size | The size in bytes of the file.

When a P2P file trading application is found, the following information is displayed:

Item found | The name of the main .EXE file of the application.
Description | A short description. Usually the name of the application.
Detected as | The type of the file.
Exe size | The size in bytes of the main .EXE file of the application.
Files found | Number of files found that belong to the item.
Total item size | Total size of all the application files in bytes.


Final results

When the search is finished, the following information is displayed in the Report area:

Files checked | Total number of files that were checked.
Items found | Total number of items that were found.
Total size (bytes) | Total size of items in bytes.
Files deleted | Total number of files that were deleted.
Total deleted (bytes) | Total size of files that were deleted.


SoundJudgment menu commands

Menu commands

Please select a menu command to see its description and the other commands available underneath it.


Save log

The contents of the Log window can be saved to disk using the following formats:

  • Plain text file.
  • CSV (Comma separated values) - ready to be imported by a database application such as Microsoft Excel.
  • HTML - to be read by any browser like Internet Explorer or Netscape.

If the Log File was not saved, you will be prompted upon exit.

When SoundJudgment is running in Stealth Mode, the log file is saved automatically and or sent by e-mail to the administrator.


Print log

You can print the log using the File/Print Log menu command.


Exit

The Exit option exits the SoundJudgment program.

If the log from a Display Mode search was not saved before selecting , you will be prompted about whether to save the log.


Search

The Search option starts a SoundJudgment Display-Mode search. After clicking the button, SoundJudgment scans the selected drive/path for items.

During the search, all the control options are disabled except the Stop button.

The search results are displayed in the Log Window.

NOTE: Items found are not automatically deleted. To delete an item, in the Log Window, check the box next to the item that you want to remove, then press the Delete button.

See also:
Clean


Clean

The Clean option starts a Display-Mode scan that automatically deletes any of the items being searched for. USE THIS OPTION WITH CAUTION since it will delete all the media files and file swapping applications found during the search without any warning.

During the search, all the control options are disabled except the Stop button button.

The search results are displayed in the Log Window

See also:
Search


Delete

The Delete option is used to delete items found during scans initiated with the Search button. The search results are displayed in the Log window. Checking the box next to a detected item in the Log Window marks it for deletion. After checking a box, click the Delete button to delete the file.

See also:
Search
Clean


Stop

It is always possible to stop the search by pressing the Stop button. The log will display the items found prior to this stopping point.

When a search is not in progress, the Stop button is disabled.


Clear screen

The Clear screen option clears the Report area and the Log area on the screen. If you wish to keep the results of the last search, save the log using the File/Save log file menu command before clearing the screen.


Update database

Select this option to update the P2P applications database directly from Apreo's web site.

Before using this option, be sure you are connected to the internet. The program will compare your database version with the most recent database posted at Apreo's web site. If a new database is available, it will be downloaded and will replace the old database.


Update software

Select this option to update SoundJudgment directly from Apreo's web site.

Before using this option, be sure you are connected to the internet. The program will compare its current version with the most updated version posted at Apreo's web site. If a new software version is available, it will be downloaded and will replace the old version.

Note: This function can only be initiated from the workstation where SoundJudgment was installed.


Connection settings

Set the proxy server or firewall parameters for updating the software or its database.
Recommendation - use the automatic proxy settings because they might already be configured in your browser.

If you check the "Auto check for upgrade" box, the program will check for new database and software versions when it starts.


Create Stealth mode configuration file

This command launches the SJConfig which creates a configuration file to run SoundJudgment in Stealth mode.


Config

The Config option displays the configurator for defining Display Mode searches. See the Configuration section of the Help File for more information.


Tool bar

Please click on a button to see additional information.

Search Clean Delete Stop Config Exit


Display mode configuration

A configuration provides SoundJudgment with the instructions to perform a search, such as what drives, files, folders to scan, etc.

To access the Display mode configurator, select the Config button on the main window, or the Display mode configuration command under Tools on the main menu bar. The main window of the Display mode configuration has three main tabs:
Search
Detect
Exclusions

To prepare a Display mode configuration, you need to specify three things:

  1. The search path, which tells SoundJudgment where to look for files. This is done through the configurator’s Search tab.
  2. Whether to detect music files and/or file swapping applications, done through the configurator’s Detect tab.
  3. Exclusions, which are files, folders, users or workstations SoundJudgment should not search. Exclusions are indicated on the Exclusions tab.

The Display mode configurator saves information from search to search. If the settings from your previous search are still valid, then there is no need to re-enter the information. Otherwise, you can specify a new search.

NOTE: The Display mode configurator differs from the Stealth mode configurator in two key ways: reports and configuration files.

Regarding reports, the Stealth mode configurator contains a Report file tab and an E-mail report tab that are not available with the Display mode configurator. Because SoundJudgment operates invisibly in Stealth mode, it needs to store search results so they can be viewed later. The Report file and E-mail report tabs allow the administrator to provide instructions about where and how to record the information. These tabs are unnecessary in Display mode since search results are seen immediately.

Regarding configuration files, Stealth mode requires them while Display mode does not. In stealth mode, searches are initiated automatically upon user login; the configuration file gives SoundJudgment the necessary search instructions. In Display mode, an administrator initiates searches on demand, specifying search characteristics just before executing the program so configuration files are not needed.


Display mode Search Tab

Search tab

Search path(s)

A list of drives and folders that SoundJudgment will use as a search path. You can add or remove paths from the list.
There are 2 special selections:

Search all local drives: SoundJudgment will automatically determine which local drives are available on the client's workstation and search them. This option is designed specifically for running SoundJudgment in Stealth mode.

Network crawl: SoundJudgment will automatically detect all drives that are shared in all workstations across the network and search them. This option is designed specifically for running SoundJudgment from a central station and searching across the network.

Note: You can drag and drop folders to the list.

Scan Mode

Wipe files: SoundJudgment will wipe the detected items so they cannot be recovered by an un-delete utility.

What to scan

Check compressed files: Scans inside the following types of compressed files: ZIP, ARJ, LHA and RAR. SoundJudgment will decompress each file and scan for items. If "Check all files" is on, every file in the compressed file will be scanned. Using this option might SIGNIFICANTLY SLOW the search process depending on the number of compressed files.

Note:
SoundJudgment uses an internal Zip unpacker. For other compressed file types, the EXE files of those archive products (arj.exe, lha.exe and rar.exe) must be in a directory that is pointed by the PATH environment variable.


Display mode Detect Tab

Detect tab

Media files

Select which type of files SoundJudgment will detect.

Check files larger than XXX KBytes: Media files are usually larger than 500 KBytes. To speed up the search, the program will not check files that are smaller than the size limit.

Applications

Detect P2P file swapping applications: SoundJudgment will detect applications that are used for swapping MP3 or other files (Napster clones).

Check executable files only: checks only the exe files (default)
Check all files: checks all the files on the disk.


Display mode Exclusions Tab

Exclusions tab

Use this area to select files, folders, workstations or users to be excluded from the search.

Files and folders

Select files and folders to be excluded from detection. Three types of input are shown below:

  1. File name: A name of a file that SoundJudgment will ignore. A wildcard character is also valid. Example: If you add the file one.mp3, the program will ignore this file whenever it finds it.
  2. Full path name: The full name of the file. Example: If you add c:\Kazaa\one.mp3, the program will ignore only this file but not other one.mp3 files that it finds.
  3. Folder name: A name of a folder to exclude. Example: If you add c:\Kazaa, the program will exclude c:\Kazaa directory and its subdirectories.

You can drag and drop files and folders to the list.

Note:

In addition, you can also exclude a workstation by using its name as a folder. If you select a workstation in this area (for example, \\DAVID-PC), SoundJudgment will exclude all files that reside on this workstation.

Workstations

Select workstations that will not run SoundJudgment.

Users

Select users to exclude from the search. If a selected user logs on, SoundJudgment will not run on the workstation the person is using.


Unattended Mode

Stealth mode

In Stealth (unattended) mode, SoundJudgment runs invisibly on user workstations, searching local drives for the specified files. The program’s operation is completely hidden from the user. SoundJudgment does not appear on the screen, in the system tray or in the "close program" dialog box. Search results are stored in a log file for later viewing.

In Stealth mode, SoundJudgment is installed on a network server that the user workstations can access. Stealth mode is the most common SoundJudgment implementation.

To use SoundJudgment in Stealth mode, you must first create a configuration file with the search definitions SoundJudgment should use when checking user workstations. Stealth mode configurations are created through the SJConfig program.

After creating a Stealth mode configuration, insert the SoundJudgment command line into the users' network logon script, which will access the Stealth mode configuration file and activate SoundJudgment when users log in to the network. For more information on logon scripts, please refer to your Novell or Windows NT network manual.

To view Stealth mode search results, see the log files or report email containing the information.


SoundJudgment command line

The SoundJudgment command line options are used to run SoundJudgment in Stealth mode. Use the Configuration utility to prepare a configuration file.

The SoundJudgment command line options are:

SoundJudgment @ConfigFileName [/G]

@ConfigFileName | The configuration file name. If the drive and the path are omitted, SoundJudgment will use the folder where the SoundJudgment program resides. Be sure to specify a path that is visible by all the clients that run SoundJudgment. We recommend using the UNC path name.
/G | Force di splay (GUI) mode. By default, if the configuration file is specified in the command line, SoundJudgment will run in Stealth mode. This option uses the display (GUI) mode along with the parameters from the configuration file.

To prevent the DOS box from appearing when the command is executed from the logon script, add "start" to the beginning of the command line.

Example:

start \\server\SoundJudgment\SoundJudgment @SoundJudgment.cfg

SoundJudgment will run in the background (in Stealth Mode), using the parameters that are specified in the file SoundJudgment.cfg that resides in the SoundJudgment folder.


Configuration Utility

Using SJConfig - Stealth mode configuration

A configuration provides SoundJudgment with the instructions to perform a search, such as what drives, files, folders to scan, etc. In Stealth Mode, configurations are saved as files that can be accessed by a user logon script to launch a search automatically. Effectively, the configuration file gives SoundJudgment the search characteristics since the administrator cannot do it when the program runs invisibly on a user’s PC.

The SJConfig program is the Stealth mode configurator. The main window has five tabs:
Search
Detect
Report file
E-mail Report
Exclusions

You may open SJConfig directly, or access it from with SoundJudgment by selecting Create Stealth mode configuration file under Tools on SoundJudgment’ main menu bar.

To prepare a Stealth mode configuration, you need to specify:

  1. The search path, which tells SoundJudgment where to look for file. This is done through the configurator’s Search tab.
  2. Whether to detect music files and/or file swapping applications, done through the configurator’s Detect tab..
  3. The location where SoundJudgment should store search-result logs, indicated on the Report file tab. This tab also allows you to control some aspects of the log formatting, such as the file name, whether the contents are appended to an existing file, etc.
  4. Whether SoundJudgment should email search results to a particular email address, such as the network administrator’s, which is done through the Email report tab.
  5. Exclusions, which are files, folders, or workstations SoundJudgment should not search. Exclusions are indicated on the Exclusions tab.

After specifying the Stealth mode search parameters, save the information in a file to a location that can be accessed by a user logon script (usually, the folder where SoundJudgment is installed). To save the file, select the appropriate save command under file on the SJConfig menu bar.

NOTE: You may protect the configuration file by creating a password for it.


Search tab

Search path(s)

A list of drives and folders that SoundJudgment will use as a search path. You can add or remove paths from the list.
There are 2 special selections:

Search all local drives: SoundJudgment will automatically determine which local drives are available on the client's workstation and search them. This option is designed specifically for running SoundJudgment in Stealth mode.

Network crawl: SoundJudgment will automatically detect all drives that are shared in all workstations across the network and search them. This option is designed specifically for running SoundJudgment from a central station and searching across the network.

Scan Mode

Search and log: SoundJudgment will scan the selected drive/path. If an item is found, the log is updated and the scan continues.

Clean: SoundJudgment will scan the selected drive/path. If an item is found, its file is cleaned (deleted), the log is updated and the scan continues.

Wipe files: SoundJudgment will wipe the files so they cannot be recovered by an undelete utility (available only if "Clean" is selected).

What to scan

Check compressed files: Scans inside the following types of compressed files: ZIP, ARJ, LHA and RAR. SoundJudgment will decompress each file and scan for items. Using this option might SIGNIFICANTLY SLOW the search process depending on the number of compressed files.

Note:
SoundJudgment uses an internal Zip unpacker. For other compressed file types, the EXE files of those archive products (arj.exe, lha.exe and rar.exe) must be in a directory that is pointed by the PATH environment variable.

When to scan

When executing the program in stealth mode from the logon script, you can set it to search only once in X days. If the program finds that the pre-configured time has not elapsed, it will end immediately.


Detect tab

Media files

Select which type of files SoundJudgment will detect.

Check files larger than XXX KBytes: Media files are usually larger than 500 KBytes. To speed up the search, the program will not check files that are smaller than the size limit.

Applications

Detect P2P file swapping applications: SoundJudgment will detect applications that are used for swapping MP3 or other files (Napster clones).

Check executable files only: checks only the exe files (default)
Check all files: checks all the files on the disk. Checking for swapping applications that have been renamed.


Report files tab

Report file folder

The directory where report file (log) is created. Be sure the name of the folder appears from the workstation’s point of view. If there is a general drive mapping that maps this folder to the same name for all the workstations, use this map. Otherwise, we strongly advise using a UNC name (from the type: \\workstation\c\mp3) to be sure the name is compatible for all workstations.

Log file name

Set the log file name as the user name, the computer name or any other name.
Note: You only need to set the base file name.

The full name will be: Report files folder\base name.log.

Write mode

Append: SoundJudgment will append the log file to an existing file with the same name. If this file does not exist, it will be created.

Overwrite: SoundJudgment will create a new log file every time it runs, overwriting the previous file if one with the same name already exists.

Generate only if items found: The log file will be created only if items are found by SoundJudgment.

Log file formats

Set the format(s) for the log file by selecting one or more of the types shown below:

  • Plain text file.
  • CSV (Comma separated values) - ready to be imported by a database application such as Microsoft Excel.
  • HTML - to be read by any browser like Internet Explorer or Netscape.


E-mail Report tab

SoundJudgment can send the scan results to a preconfigured e-mail address. Like other actions, this operation is hidden from the user and is not done through his e-mail client program. In this tab, you should configure the program using your organization's e-mail parameters.

Note that your network should support TCP/IP based e-mail.

Target e-mail address

Type one or more email addresses separated by semicolons ( for example: admin@mydomain.com;user@company.com). The report will be sent to these addresses.

Outgoing SMTP server

Specify the organization's default outgoing e-mail server. The address can be in the form: smtp.mycompany.com or an IP address in the form: 123.123.123.123.

From address

For transmission and tracking purposes only, set the base name and the domain address. The base name can be the user name, the computer name or any other name. The combined address will be: BaseName@Domain.
Note: This process is not done through the user's e-mail client program.

Generate only if items are found

The e-mail report will be generated only if items are found by SoundJudgment.


Exclusions tab

Use this area to select files, folders, workstations or users to be excluded from the search.

Files and folders

Select files and folders to be excluded from detection. Three types of input are shown below:

  1. File name: A name of a file that SoundJudgment will ignore. A wildcard character is also valid. Example: If you add the file one.mp3, the program will ignore this file whenever it finds it.
  2. Full path name: The full name of the file. Example: If you add c:\Kazaa\one.mp3, the program will ignore only this file but not other one.mp3 files that it finds.
  3. Folder name: A name of a folder to exclude. Example: If you add c:\Kazaa, the program will exclude c:\Kazaa directory and its subdirectories.

You can drag and drop files and folders to the list.

Note:

In addition, you can also exclude a workstation by using its name as a folder. If you select a workstation in this area (for example, \\DAVID-PC), SoundJudgment will exclude all files that reside on this workstation.

Workstations

Select workstations that will not run SoundJudgment.

Users

Select users to exclude from the search. If a selected user logs on, SoundJudgment will not run on the workstation the person is using.


Password protection

By default, an AntiGame configuration file is not protected, however, if you want to prevent users from viewing or manipulating a configuration file, you may create a password for it. Under File on the PlusConfig menu bar, select Password Protection and the program will display a dialog box to enter the password.


Security

SoundJudgment is a secure product with specific security features built in to protect the program from mis-use. Apreo also provides recommendations about how to use an operating system's access policies for further protection.

SoundJudgment Security Features

Password protection is available for SoundJudgment configuration files to prevent the program from being used maliciously to delete the wrong files. With password protection, unauthorized users cannot view or manipulate the configuration files that define stealth-mode SoundJudgment scans.

Operating system's access policies

For extra security, Apreo recommends that the operating system's access policies be set as follows in addition to using Password protection for SoundJudgment stealth-mode configuration files.

Access to the SoundJudgment Program
  • Make the folder containing the SoundJudgment program and its configuration files "Read only" for all users except the SoundJudgment administrator.
Access to the Report Files from Stealth-mode Searches
  • Create a special folder for the report files generated from stealth mode searches of local user drives, and make it "Write only," which prevents deletion and manipulation of the files.
  • In a Novell environment: For the directory where the report files reside, set user rights to "create" and "write" so a user cannot delete, rename, or move the search logs of his PC.
  • In Windows NT environment: For the report-files directory, select the type of access, "Special Directory Access," then click "Other" and select "Write (W)".
  • In Windows 2000 environment: For the report-files directory, set the Permissions to "Write" and deny "List Folder Contents."


Technical support

As a registered or trialware user, you are entitled to Online technical support. Responses are sent via e-mail.

Have you checked the FAQ? Your answer might be there.


Contacting Apreo

You can contact Apreo Inc. at:

Tel: | 949-376-6678
Fax: | 949-376-6978
Office hours: | Monday – Friday, 8:30 am to 5:00 pm, PST.
E-mail | support@apreo.com
Web Site: | www.apreo.com


Password protection

By default, a SoundJudgment configuration file is not protected, however, if you want to prevent users from viewing or manipulating a configuration file, you may create a password for it. Under File on the SJConfig menu bar, select Password Protection and the program will display a dialog box to enter the password.


Search and log

The Search and log option scans the selected drive/path for items. If an item is found, the log is updated and the scan continues. We recommend using this option before using the Clean option. This allows you to review the list of items prior to deleting.

During the search, all the control options are disabled except the Stop button.

See also:
Search
Clean


Starting

Starting SoundJudgment

To start SoundJudgment, double-click the SoundJudgment icon. The Main window appears. As it loads, SoundJudgment performs a self-check of its program files to verify their integrity.

For run time options and activating SoundJudgment in the background (Stealth mode), please see the SoundJudgment command line.


Tools - options

Config

Use this option to activate the Configuration Utility and set the runtime options.

To set the configuration parameters for running SoundJudgment in Stealth mode , double click on the SJConfig icon. Using this method, the same configuration file will be used each time the program runs in stealth mode.


.topic 1028
Removes a path from the list of search paths.

.topic 1027
Adds a path to the list of search paths.

.topic 1006
Edits the selected search path.

.topic 1026
List of paths for the program to search.

.topic 1000
Scans the selected drive\path for items. If an item is found the log is updated and the scan continues.

.topic 1001
Scans the selected drive\path for items. If an item is found, it is cleaned (deleted), the log is updated and the scan continues.

.topic 1004
Wipes the files so they cannot be recovered by an undelete utility.

.topic 1029
Check All Files (Slower). By default only exe files are checked.

.topic 1030
Check only the exe files (default).

.topic 1031
Set the program to scan every time it is executed.

.topic 1032
Set the program to scan only once in X days. If the program finds that the pre-configured time has not elapsed, it will end immediately.

.topic 1065
The program will automatically determine which local drives are available on the client's workstation and search them.
This option is designed specifically for running the program in unattended mode from the logon script.

.topic 1066
The program will automatically detect all drives that are shared in all workstations across the network and search them.
This option is designed specifically for running the progrram from a central station and searching across the network.

.topic 1067
Select the scan path.

.topic 1003
Scans inside compressed files of the following types: ZIP, ARJ, LHA and RAR (Slower).

.topic 1037
List of games databases in the AntiGame's folder that are avaialble for selection.

.topic 1038
List of databases that AntiGame Plus will use during the search.

.topic 1035
Adds a database from the available list to the selected list.

.topic 1036
Removes a database from the selected list.

.topic 1007
Browse for the report file folder.
Be sure the name of the folder appears from the workstation point of view.
For best results, specify a network (UNC) folder.

.topic 1008
The report files folder.
The folder should be set for the workstations that run the program, therefore it is recomended to specify a network (UNC) folder.

.topic 1009
Set the base name of the log file as the user name.

.topic 1010
Set the base name of the log file as the computer name.

.topic 1011
Specify another name for the log file.

.topic 1012
The log file name.

.topic 1013
Append the log file to an existing file. Create a new file if one does not exist.

.topic 1014
Overwrite the current log file with a new one.

.topic 1015
Create a log file only if items are found.

.topic 1019
List of items to exclude from the search.
The list can contain basic file name, full path names, folders or workstations names .

.topic 1020
Adds an item to the exclusion list.

.topic 1021
Removes the highlighted item from the exclusion list.

.topic 1023
Edits the highlighted item.

.topic 1017
The default outgoing email server of the organization.
The address can be in the form: smtp.mycompany.com
or an IP address in the form: 123.456.789.012.

.topic 1018
The program will not check files that are smaller then the size limit.

.topic 1022
The domain name of the address where the e-mail will be send from.

.topic 1025
Enter the e-mail address of the administrator. The report will be sent to this address.

.topic 1044
Generate a report file.

.topic 1046
Generate a report e-mail

.topic 1047
Set the base "from address" as the computer name.

.topic 1048
Set the base "from address" as the user name.

.topic 1049
Set the base "from address" as specified.

.topic 1051
The base "from address".

.topic 1052
The e-mail report will be generated only if items are found

.topic 1062
Check for MP3 files